Update knowledge source
Update knowledge source. See the OpenAPI-defined parameters, request body, and responses below.
PUT
/Knowledge/{id}Update knowledge source. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint atualiza os dados de um conhecimento de agente existente identificado pelo id.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
Content type: application/json · Schema: KnowledgeDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
content | string | No | — | nullable |
groupIds | array<integer · int32> | No | — | nullable |
Example request
curl --request PUT \
--url 'https://api.zild.ai/Knowledge/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"content": "string",
"groupIds": [
0
]
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Conhecimento atualizado com sucesso | No response body is defined. |
Data models
KnowledgeDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
content | string | No | — | nullable |
groupIds | array<integer · int32> | No | — | nullable |